Package com.logicaldoc.core.document

# Class TooManyDocumentsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
com.logicaldoc.core.PersistenceException
com.logicaldoc.core.document.TooManyDocumentsException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

public class TooManyDocumentsException extends PersistenceException
Exception raised when you try to add more documents than allowed in the same folder

Since:
  9.1.1
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TooManyDocumentsException(Folder folder, long max)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getFolderId()`

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### TooManyDocumentsException

public TooManyDocumentsException(Folder folder, long max)

## Method Details

### getFolderId

public long getFolderId()